DIM LineIn$ 

OPEN "LCD_LIB.BAS" FOR INPUT  AS #1
OPEN "LCD.LIB"     FOR OUTPUT AS #2

DO WHILE NOT EOF(#1) 
	LINE INPUT #1, LineIn$
	LineUC$ = UCASE$(LineIn$)
	I = INSTR(1, LineUC$, "'")
	J = INSTR(1, LineUC$, "REM ")
	IF I > 0 THEN
		LineIn$ = LEFT$(LineIn$, I-1)
	ENDIF
	IF J > 0 THEN
		IF J = 1 THEN	' Start of Line
			LineIn$ = ""
		ELSEIF MID$(LineIn$, J-1, 1) = " ")	' REM also has space before ie " REM "
			LineIn$ = Left$(LineIn$, J-1)
		ENDIF
	ENDIF
	
	' Remove trailing spaces and tabs from the line
	K = LEN(LineIn$)
	DO WHILE K > 0
		Ch$ = MID$(LineIn$, K, 1)
		IF (Ch$ = " " OR ASC(Ch$) = 9) THEN
			LineIn$ = LEFT$(LineIn$, K-1)
			K = K - 1
		ELSE
			EXIT
		ENDIF
	LOOP
	
	'Write to the output file.
	'Don't copy across blank lines.
	'If line is start of a SUB, insert 2 blank lines first
	IF LEN(LineIn$) > 0 THEN
		IF LEFT$(LineUC$, 4) = "SUB " THEN
		    PRINT #2, ""
		    PRINT #2, ""
	    ENDIF
	    PRINT #2, LineIn$
	ENDIF
	
LOOP
CLOSE #1, #2
END